Subject: *TOP 10% COOKING SITES*

From: [email-masked] (Suzanne L.)
Date: Sat, 14 Sep 1996 18:52:55 GMT

Top 10% Cooking Sites: http://www.pebbs.com/megabites/links.html

Warning!!! This site has been known to ruin thousands of innocent
keyboards due to the vistors constant drooling while visiting.  :-)

We have visited thousands of cooking sites on the net and made links
to only the best. There are currently 400 top cooking  sites that we
discovered and they should not be missed! We organized
them into categories (alphabetically sorted the links) to make it very
easy to jump right into what you are most interested in.  

You are welcome to nominate a site to be included in our listing. 
Thank you for visiting !